Skip to main content
`Ctrl`+`K`

# TSGetComputeInitialCondition

Get the function used to automatically compute an initial condition for the timestepping.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetComputeInitialCondition(TS ts, PetscErrorCode (**initCondition)(TS ts, Vec u))

Not collective

## Input Parameter

- ts - time stepping context

## Output Parameter

- initCondition - The function which computes an initial condition

## Calling sequence of `initCondition`

- ts - The timestepping context

- u - The input vector in which the initial condition is stored

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetComputeInitialCondition()`, `TSComputeInitialCondition()`

## Level

advanced

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages